# Copyright (C) 2017  Lars Wirzenius
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import unittest


import ick2


class VersionAPITests(unittest.TestCase):

    def create_api(self):
        api = ick2.VersionAPI(None)
        return api

    def test_returns_version_correcly(self):
        api = ick2.VersionAPI(None)
        response = api.get_version()
        self.assertEqual(
            response,
            {
                'version': ick2.__version__,
            }
        )
